NamingUtilityDataSource (CMDB Model API)
Keywords: com.collation.platform.model.util.NamingUtilityDataSource interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.util
Interface NamingUtilityDataSource

    public interface NamingUtilityDataSource

NamingUtility class is used to provide a mapping of Object pointers to unique Guids for the names of the objects

Method Summary
`Guid` | `getMasterGuid(java.util.List guidList)` getMasterGuid returns the master Guid from a list of Guids
`Guid` | `getMasterGuid(java.util.List guidList, long version)` getMasterGuid returns the master Guid from a list of Guids
`java.util.List` | `getMasterGuids(java.util.List guidList, long version)` getMasterGuids returns a list of all guids which are a master guid for any guid in the incoming list of guids.
`ModelObject` | `getObjectByGuid(Guid aGuid)` getObjectByGuid returns the ModelObject from the CMDB that is identified by the Guid that is passed in

Method Detail

### getObjectByGuid

    ModelObject getObjectByGuid(Guid aGuid)
                                throws java.lang.Exception

  getObjectByGuid returns the ModelObject from the CMDB that is identified by the Guid that is passed in

  Parameters:
    `aGuid:Guid` - - The Guid of the object that needs to be looked up
  Returns:
    HashMap - ModelObject identified by aGuid
  Throws:
    `java.lang.Exception`

### getMasterGuid

    Guid getMasterGuid(java.util.List guidList)
                       throws java.lang.Exception

  getMasterGuid returns the master Guid from a list of Guids

  Parameters:
    `guidList:List` - - The list of guids for which a master is needed
  Returns:
    Guid - The master guid
  Throws:
    `java.lang.Exception`

### getMasterGuid

    Guid getMasterGuid(java.util.List guidList,
                       long version)
                       throws java.lang.Exception

  getMasterGuid returns the master Guid from a list of Guids

  Parameters:
    `guidList:List` - - The list of guids for which a master is needed
    `version:Long` - - The version to use
  Returns:
    Guid - The master guid
  Throws:
    `java.lang.Exception`

### getMasterGuids

    java.util.List getMasterGuids(java.util.List guidList,
                                  long version)
                                  throws java.lang.Exception

  getMasterGuids returns a list of all guids which are a master guid for any guid in the incoming list of guids.

  Parameters:
    `guidList:List` - - The list of guids for which the masters are needed
    `version:Long` - - The version to use
  Returns:
    List - The list of master guids
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD